# squirrel_std.hpp File Reference

defines the Squirrel Standard Function class More...

Go to the source code of this file.

## Data Structures
class | SquirrelStd
| By default we want to give a set of standard commands to a SQ script. More...
## Functions
void | squirrel_register_std (Squirrel *engine)
| Register all standard functions we want to give to a script.
void | squirrel_register_global_std (Squirrel *engine)
| Register all standard functions that are available on first startup.

## Detailed Description

defines the Squirrel Standard Function class

Definition in file squirrel_std.hpp.

## Function Documentation

void squirrel_register_global_std | ( | Squirrel * | engine | ) |

Register all standard functions that are available on first startup.

Note:
  this set is very limited, and is only ment to load other scripts and things like that.

Definition at line 100 of file squirrel_std.cpp.

References SquirrelStd::notifyallexceptions(), and SquirrelStd::require().